<?php
class GroupController extends Controller
{    
	public function actionView($id)
	{
        Yii::import('application.modules.faam.vendors.ArrayToList');
        $model = $this->loadModel($id);
        if (is_array($model->permissions)) {
            $list = new ArrayToList;
            $model->permissions = $list->makeUList($model->permissions);
        }
		$this->render('view',array(
			'model'=>$model,
		));
	}

	public function actionCreate()
	{             
		$model=new Group;        
        
		// Uncomment the following line if AJAX validation is needed
		$this->performAjaxValidation($model);

		if(isset($_POST['Group'])) {
			$model->attributes=$_POST['Group'];
			if($model->save()) {
				$this->redirect(array('index'));
            }
		}

		$this->render('create',array(
			'model'=>$model,
            'permissions'=>Yii::app()->metadata->getAll()
		));
	}

	public function actionUpdate($id)
	{
		$model=$this->loadModel($id);

		$this->performAjaxValidation($model);

		if(isset($_POST['Group'])) {
            $_POST['Group']['permissions'] = !isset($_POST['Group']['permissions']) ? NULL : $_POST['Group']['permissions'];
			$model->attributes=$_POST['Group'];
			if($model->save()) {
				$this->redirect(array('index'));
            }
		}

		$this->render('update',array(
			'model'=>$model,
            'permissions'=>Yii::app()->metadata->getAll()
		));
	}

	public function actionDelete($id)
	{       
		if(Yii::app()->request->isPostRequest) {
			// we only allow deletion via POST request
			$this->loadModel($id)->delete();

			// if AJAX request (triggered by deletion via admin grid view), we should not redirect the browser
			if(!isset($_GET['ajax'])) {
				$this->redirect(isset($_POST['returnUrl']) ? $_POST['returnUrl'] : array('index'));
            }
		} else {
			throw new CHttpException(400,'Invalid request. Please do not repeat this request again.');
        }
	}

	public function actionIndex()
	{               
        $criteria = new CDbCriteria();       
        $count=Group::model()->count($criteria);
        $pages=new CPagination($count);

        // results per page
        $pages->pageSize=5;
        $pages->applyLimit($criteria);
        $groups=Group::model()->findAll($criteria);            
        
        $this->render('index', array(
            'groups' => $groups,
            'pages' => $pages
        ));        
	}

	public function loadModel($id)
	{
		$model=Group::model()->findByPk($id);
		if($model===null) {
			throw new CHttpException(404,'The requested page does not exist.');
        }
		return $model;
	}

	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='group-form') {
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
}