<?php
Yii::app()->clientScript->registerScript('select-all', "
$('#select-all').live('click',function () {
    if ($(this).attr('checked') == 'checked') 
    {
        $('.permission:not(:checked)').attr('checked',true);
    }
    else
    {
        $('.permission:checked').attr('checked',false);
    }
})
");

Yii::app()->clientScript->registerCss('table-css',"
table.border {
    border-width: 0px;
}
table.border th {
    background-color: #B7D6E7;
}
table.border td {
    background-color: #EFFDFF;
}
table.border th, table.border td {
    border-width: 1px;
    border-style: solid;
    border-color: #CCCCCC;
}
table.border caption {
    font-size: 1.4em;
    font-weight: bold;
    padding-bottom: 4px;
}

.txt-right {
    text-align: right;
}    
");
?>
<div class="form">

<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'user-form',
	'enableAjaxValidation'=>true,
)); ?>

	<p class="note">Fields with <span class="required">*</span> are required.</p>

	<?php echo $form->errorSummary($model); ?>

    <?php if ($this->action->id === 'create') : ?> 
        <div class="row">
            <?php echo $form->labelEx($model,'username'); ?>
            <?php echo $form->textField($model,'username',array('size'=>32,'maxlength'=>32)); ?>
            <?php echo $form->error($model,'username'); ?>
        </div>    
    
        <div class="row">
            <?php echo $form->labelEx($model,'email'); ?>
            <?php echo $form->textField($model,'email',array('size'=>32,'maxlength'=>32)); ?>
            <?php echo $form->error($model,'email'); ?>
        </div>

        <div class="row">
            <?php echo $form->labelEx($model,'confirmEmail'); ?>
            <?php echo $form->textField($model,'confirmEmail',array('size'=>32,'maxlength'=>32)); ?>
            <?php echo $form->error($model,'confirmEmail'); ?>
        </div>    

        <div class="row">
            <?php echo $form->labelEx($model,'password'); ?>
            <?php echo $form->passwordField($model,'password',array('size'=>32,'maxlength'=>32)); ?>
            <?php echo $form->error($model,'password'); ?>
        </div>

        <div class="row">
            <?php echo $form->labelEx($model,'confirmPassword'); ?>
            <?php echo $form->passwordField($model,'confirmPassword',array('size'=>32,'maxlength'=>32)); ?>
            <?php echo $form->error($model,'confirmPassword'); ?>
        </div>
    <?php endif ?>     
    
	<div class="row">
		<?php echo $form->labelEx($model,'group_id'); ?>
        <?php 
        $values = CHtml::listData($groups, 'id', 'name');
        $values[''] = '-- Please Select --';
        asort($values);
        echo CHtml::dropDownList('User[group_id]', $model->group_id, $values);
        ?>
		<?php echo $form->error($model,'group_id'); ?>
	</div>
    
    <div class="row">
        <?php echo $form->labelEx($model,'permissions'); ?>
        <table class="border">
            <thead>
                <tr>
                    <th class="span-3">Module</th>
                    <th class="span-3">Controller</th>
                    <th class="span-3 last"> <input id="select-all" class="" name="" type="checkbox" /> Action</th>
                </tr>
            </thead>           
            <tbody>
                <?php foreach ($permissions['controllers'] as $controller) : ?>
                <tr>
                    <td>&dash;</td>
                    <td><?php echo $controller['name'] ?></td>
                    <td>
                        <?php foreach ($controller['actions'] as $action) : ?>
                            <span>
                                <?php $field = get_class($model)."[permissions]"."[$controller[name]][]"; ?>
                                <?php echo $model->getPermissionCheckBox($field,$action); ?>
                                <?php echo $action ?>
                            </span><br />
                        <?php endforeach ?>
                    </td>
                </tr>
                <?php endforeach ?> 
                <?php $cc = 0; ?>
                <?php foreach ($permissions['modules'] as $key => $module) : ?>
                    <?php $controller_count = count($module['controllers']); ?>
                    <?php while($cc < $controller_count): ?>                    
                        <tr>
                            <?php if ($cc === 0) : ?>
                                <td rowspan="<?php echo $controller_count ?>"><?php echo ucfirst($module['name']) ?></td>
                            <?php endif ?>
                            <td><?php echo $module['controllers'][$cc]['name'] ?></td>
                            <td>
                                <?php foreach ($module['controllers'][$cc]['actions'] as $action) : ?>
                                    <span>
                                        <?php $field = get_class($model)."[permissions]"."[$module[name]]"."[".$module['controllers'][$cc]['name']."][]"; ?>
                                        <?php echo $model->getPermissionCheckBox($field,$action); ?>
                                        <?php echo $action ?>
                                    </span><br />
                                <?php endforeach ?>
                            </td>
                        </tr>      
                        <?php $cc++; ?>
                    <?php endwhile; ?>
                <?php endforeach ?>
            </tbody>
        </table>  
        <?php echo $form->error($model,'permissions'); ?>
    </div>    

	<div class="row buttons">
		<?php echo CHtml::submitButton($model->isNewRecord ? 'Create' : 'Save'); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- form -->